Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009435 [DCSS] Bug Report crash have not tried 2015-01-24 05:08 2015-01-29 20:56
Reporter felix747 View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0009435: crashed exiting dungeon with orb
Description wizard mode - level 1 using shift+7 up-arrow with orb. was not near dungeon exit
Additional Information
Tags No tags attached.
Attached Files txt file icon crash-Stoney-20150123-230206.txt [^] (47,174 bytes) 2015-01-24 05:08 [Show Content]

- Relationships

-  Notes
(0028367)
Zannick (reporter)
2015-01-27 05:14

In an actual game, the player should be going up a DNGN_EXIT_DUNGEON stair in order to escape properly, as that's what stairs.cc looks for. I suppose this changed at some point without updating wiz-dgn.cc which still tries to use the stone stairs it used to be. One-line change:

--- a/crawl-ref/source/wiz-dgn.cc
+++ b/crawl-ref/source/wiz-dgn.cc
@@ -65,7 +65,7 @@ static dungeon_feature_type _find_appropriate_stairs(bool down)
         else if (player_in_branch(BRANCH_ABYSS))
             return DNGN_EXIT_ABYSS;
         else if (player_in_branch(BRANCH_DUNGEON))
- return DNGN_STONE_STAIRS_UP_I;
+ return DNGN_EXIT_DUNGEON;
 
         dungeon_feature_type stairs = your_branch().exit_stairs;
(0028383)
wheals (administrator)
2015-01-28 16:23

Would this keep the correct behavior on D:2?
(0028387)
Zannick (reporter)
2015-01-28 18:36

Yeah, this is in a block concerning leaving a branch, ie. depth = 0.
(0028400)
wheals (administrator)
2015-01-29 20:56

Fixed in 0.16-a0-3839-gfc5615a.

- Issue History
Date Modified Username Field Change
2015-01-24 05:08 felix747 New Issue
2015-01-24 05:08 felix747 File Added: crash-Stoney-20150123-230206.txt
2015-01-27 05:14 Zannick Note Added: 0028367
2015-01-28 16:23 wheals Note Added: 0028383
2015-01-28 18:36 Zannick Note Added: 0028387
2015-01-29 20:56 wheals Note Added: 0028400
2015-01-29 20:56 wheals Status new => resolved
2015-01-29 20:56 wheals Fixed in Branch => 0.16 development branch
2015-01-29 20:56 wheals Resolution open => done
2015-01-29 20:56 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker